Subject: Guided Graphical Installer cannot detect/partition NVME drive with an LVM partition.

From: John Doe <[email-masked]>
Date: Sun, 02 Aug 2020 19:28:42 +0000

Yesterday when trying to install Guix using the Guided Graphical Installer I could not detect my NVME drive which contained an LVM partition using either of the 3 (entire disk guided, entire disk guided with encryption, manual partitioning) options in the Guix installer.

If I went with the manual installation approach from shell I could see the partitions in the output of lsblk.

After formatting the drive completely with another live USB the NVME was then correctly detected by the Guix installer.

This issue occured both on the 1.1.0 stable installer ISO and the latest installer ISO as of August 1 2020.